Subject: Re: [PATCH] inet6: Fix paramater issue of inet6_csk_xmit

From: Wei Yongjun <[email-masked]>
Date: Fri, 01 Aug 2008 13:17:15 +0800

David Miller wrote:
> From: Wei Yongjun <[email-masked]>
> Date: Thu, 31 Jul 2008 17:56:25 +0800
>
>   
>> inet6_csk_xmit() has a paramater ipfragok, but never pass to
>> ip6_xmit(), always call it with ipfragok = 0.
>>
>> This patch fixed this problem by instead 0 of ipfragok.
>>
>> Compiled test only.
>>
>> Signed-off-by: Wei Yongjun <[email-masked]>
>>     
>
> I would like to see someone do some testing of this patch
> before I apply it.
>   
inet6_csk_xmit() just be used by tcp and dccp:
1042 net/dccp/ipv6.c      .queue_xmit       = inet6_csk_xmit
1853 net/ipv6/tcp_ipv6.c     .queue_xmit       = inet6_csk_xmit,

And used always with ipfragok = 0.
139 net/dccp/output.c         err = icsk->icsk_af_ops->queue_xmit(skb, 0);
626 net/ipv4/tcp_output.c     err = icsk->icsk_af_ops->queue_xmit(skb, 0);

I can not find any place used inet6_csk_xmit() with ipfragok = 1.

So I think it is safe to apply this patch. Or maybe this paramater is 
useless.